- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_banner – Manage multiline banners on network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_banner” module

## Synopsis

- This will configure both login and motd banners on network devices. It allows playbooks to add or remove banner text from the active running configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
banner - / required | Choices: login motd | Specifies which banner that should be configured on the remote device.
state - | Choices: present ← absent | Specifies whether or not the configuration is present in the current devices active running configuration.
text - |  | The banner text that should be present in the remote device running configuration. This argument accepts a multiline string, with no empty lines. Requires state=present.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: configure the login banner
      net_banner:
        banner: login
        text: |
          this is my login banner
          that contains a multiline
          string
        state: present

    - name: remove the motd banner
      net_banner:
        banner: motd
        state: absent

    - name: Configure banner from file
      net_banner:
        banner:  motd
        text: "{{ lookup('file', './config_partial/raw_banner.cfg') }}"
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['banner login', 'this is my login banner', 'that contains a multiline', 'string']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.